Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Block Farbe auf VonBlock

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Block Farbe auf VonBlock (482 mal gelesen)
xem
Mitglied
Zeichner


Sehen Sie sich das Profil von xem an!   Senden Sie eine Private Message an xem  Schreiben Sie einen Gästebucheintrag für xem

Beiträge: 815
Registriert: 07.08.2008

Software:
AutoCAD 2014 - 64bit
Windows 7 Pro - 64bit
PDFCreator 1.0.2 - 32bit
Ghostscript 9.0 - 64bit
PDF-XChange Viewer - 64bit
GIMP 2.6.8 - 64bit
MS Office 2010 - 32bit
Opera 12 - 32bit
MacroX - 32bit
7-zip - 64bit
-----------------------
Hardware:
Intel i5 680 3,6GHz @ 4GHz
8GB RAM 1333MHz
nVidia GTX 460 1024MB
Intel SSD 2.5 80GB X25-M
Samsung SyncMaster 245B+
Iiyama ProLite E1900s
Logitech mx518
Logitech G11
Roccat Sense Glacier Blue

erstellt am: 02. Feb. 2018 12:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


BlkbyBlock.dwg

 
Hallo,

ich habe vieler dieser Blöcke --->

Jetzt hätte ich gern die Farbe auf VonBlock, was mit dem Code auch funktioniert.

Code:
(defun C:BlkByBlock (/ colBlockReference
                    ActDoc dprSelection
                    objSelection strBlockName
                )
(if (setq dprSelection (entsel "\nSelect Block: "))
  (progn
  (setq ActDoc (vla-get-ActiveDocument (vlax-get-Acad-Object))
        dprSelection (car dprSelection)
        objSelection (vlax-ename->vla-object dprSelection)
  )
  (vla-StartUndoMark ActDoc)
  (BlkByBlock objSelection)
  (entupd dprSelection)
  (vla-EndUndoMark ActDoc)
  )
)
(prin1)
)

(defun BlkByBlock (objSelection / colBlockReference objBlock
                    strBlockName
                )
(if (= (type objSelection) 'ENAME)
  (setq objSelection (vlax-ename->vla-object objSelection)))
(if (wcmatch (strcase (vla-get-objectname objSelection)) "*BLOCK*")
  (progn
  (vlax-for objBlock (vla-item
                      (vla-get-blocks ActDoc)
                      (vla-get-name objSelection)
                      )

    (vla-put-color objBlock 0) ; set color byblock
;    (vla-put-linetype EOBJ "ByBlock") if all you want is color byblock
;    (vla-put-Lineweight EOBJ -1) if all you want is color byblock
;    (vla-put-PlotStyleName EOBJ "ByBlock") if all you want is color byblock
  )
  )
)
(prin1)
)
(prin1)


Leider kann ich da immer nur einen Block auswählen.
Gibt es da einen Trick wie ich alle Blöcke auswählen kann?

Danke

------------------
Error in Layer 8

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13404
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Feb. 2018 13:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für xem 10 Unities + Antwort hilfreich

ja .. das Programm für die Verwendung eines Auswahlsatzes umstricken ...

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PFKBAU
Mitglied
Bauzeichner


Sehen Sie sich das Profil von PFKBAU an!   Senden Sie eine Private Message an PFKBAU  Schreiben Sie einen Gästebucheintrag für PFKBAU

Beiträge: 331
Registriert: 24.04.2007

Civil 3D 2018, Win 7 Prof. 64 bit

erstellt am: 06. Feb. 2018 09:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für xem 10 Unities + Antwort hilfreich

Hallo,

es gibt übrigens ins Autocad auch den Befehl "VONLAYEREINST" mit dem kann man so etwas auch ohne Programmierung machen.

Guido

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz